$('.frontendForm').each(function() {
	console.log('frontendForm found');
	$(this).on('submit', function(e) {
		e.preventDefault();

		var form = $(this);

		// Show overlay with spinner
		$('.loader-overlay').addClass('loaderActive');
		

		formData = form.serializeArray();
		console.log(formData, $(this).attr('method'), $(this).attr('data-target'));
		console.log('submitting form');
		$.ajax({
			type: $(this).attr('method'),
			url: $(this).attr('data-target'),
			data: formData,
			dataType: 'json',
			success: function(data) {
				console.log('success');
				// Hide overlay with spinner
				$('.loader-overlay').removeClass('loaderActive');
				// Close the modal
				$('.modal').modal('hide');
				// Clear all fields
				form.find('input, textarea').val('');
				
				$('#generalToast').removeClass('text-bg-primary');
				$('#generalToast').addClass('text-bg-success');
				$('#generalToast').toast('show');
				$('#generalToast').children('.d-flex').children('.toast-body').html('<i class="bi bi-check2"></i> Changes saved successfully.');
				setTimeout(() => {
					$('#generalToast').toast('hide');;
					$('#generalToast').removeClass('text-bg-success');
					$('#generalToast').addClass('text-bg-primary');
					window.location.reload();
				}, 1500);
			},
			error: function(data) {
				console.log('error');
				// Hide overlay with spinner
				$('.loader-overlay').removeClass('loaderActive');
				
				$('#generalToast').removeClass('text-bg-primary');
				$('#generalToast').addClass('text-bg-danger');
				$('#generalToast').toast('show');
				$('#generalToast').children('.d-flex').children('.toast-body').html('<i class="bi bi-exclamation-triangle-fill"></i> Something went wrong. Please try again later.');
				setTimeout(() => {
					$('#generalToast').toast('hide');
					$('#generalToast').removeClass('text-bg-danger');
					$('#generalToast').addClass('text-bg-primary');
				}, 3000);
			}
		});
	})
});
